"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateConfig = void 0;
const zod_1 = require("./zod");
const zod_validation_error_1 = require("zod-validation-error");
__exportStar(require("./normalization"), exports);
__exportStar(require("./types"), exports);
__exportStar(require("./defaults"), exports);
__exportStar(require("./adapter"), exports);
function validateConfig(opts) {
    var _a;
    const res = (0, zod_1.configSchema)().safeParse(opts);
    if (!res.success) {
        const strategy = (_a = process.env.RSPACK_CONFIG_VALIDATE) !== null && _a !== void 0 ? _a : "strict";
        if (strategy === "loose-silent")
            return;
        const issueSeparator = "$issue$";
        const prefixSeparator = "$prefix$";
        const validationErr = (0, zod_validation_error_1.fromZodError)(res.error, {
            prefix: "Configuration error",
            prefixSeparator,
            issueSeparator
        });
        // The output validationErr.message looks like
        // `Configuration error$prefix$xxxx error$issue$yyy error$issue$zzz error`
        const [prefix, reason] = validationErr.message.split(prefixSeparator);
        const reasonItem = reason.split(issueSeparator);
        const friendlyErr = new Error(`${prefix}:\n${reasonItem.map(item => `- ${item}`).join("\n")}`);
        if (strategy === "loose") {
            console.error(friendlyErr.message);
        }
        else {
            throw friendlyErr;
        }
    }
}
exports.validateConfig = validateConfig;
