import { z } from "zod";
import { configSchema } from "./index";
import type { Output, ModuleOptions, Builtins, DevServer } from "../types";
type Config = z.infer<ReturnType<typeof configSchema>>;
type Rewritten = {
    output?: Output;
    module?: ModuleOptions;
    builtins?: Omit<Builtins, keyof NonNullable<Config["builtins"]>> & NonNullable<Config["builtins"]>;
    devServer?: DevServer;
};
export type Options = Omit<Config, keyof Rewritten> & Rewritten;
export {};
