import { z } from "zod";
export declare function builtins(): z.ZodObject<{
    postcss: z.ZodOptional<z.ZodEffects<z.ZodObject<{
        pxtorem: z.ZodOptional<z.ZodObject<{
            rootValue: z.ZodOptional<z.ZodNumber>;
            unitPrecision: z.ZodOptional<z.ZodNumber>;
            selectorBlackList: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            propList: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            replace: z.ZodOptional<z.ZodBoolean>;
            mediaQuery: z.ZodOptional<z.ZodBoolean>;
            minPixelValue: z.ZodOptional<z.ZodNumber>;
        }, "strict", z.ZodTypeAny, {
            rootValue?: number | undefined;
            unitPrecision?: number | undefined;
            selectorBlackList?: string[] | undefined;
            propList?: string[] | undefined;
            replace?: boolean | undefined;
            mediaQuery?: boolean | undefined;
            minPixelValue?: number | undefined;
        }, {
            rootValue?: number | undefined;
            unitPrecision?: number | undefined;
            selectorBlackList?: string[] | undefined;
            propList?: string[] | undefined;
            replace?: boolean | undefined;
            mediaQuery?: boolean | undefined;
            minPixelValue?: number | undefined;
        }>>;
    }, "strict", z.ZodTypeAny, {
        pxtorem?: {
            rootValue?: number | undefined;
            unitPrecision?: number | undefined;
            selectorBlackList?: string[] | undefined;
            propList?: string[] | undefined;
            replace?: boolean | undefined;
            mediaQuery?: boolean | undefined;
            minPixelValue?: number | undefined;
        } | undefined;
    }, {
        pxtorem?: {
            rootValue?: number | undefined;
            unitPrecision?: number | undefined;
            selectorBlackList?: string[] | undefined;
            propList?: string[] | undefined;
            replace?: boolean | undefined;
            mediaQuery?: boolean | undefined;
            minPixelValue?: number | undefined;
        } | undefined;
    }>, {
        pxtorem?: {
            rootValue?: number | undefined;
            unitPrecision?: number | undefined;
            selectorBlackList?: string[] | undefined;
            propList?: string[] | undefined;
            replace?: boolean | undefined;
            mediaQuery?: boolean | undefined;
            minPixelValue?: number | undefined;
        } | undefined;
    }, {
        pxtorem?: {
            rootValue?: number | undefined;
            unitPrecision?: number | undefined;
            selectorBlackList?: string[] | undefined;
            propList?: string[] | undefined;
            replace?: boolean | undefined;
            mediaQuery?: boolean | undefined;
            minPixelValue?: number | undefined;
        } | undefined;
    }>>;
    html: z.ZodOptional<z.ZodArray<z.ZodObject<{
        title: z.ZodOptional<z.ZodString>;
        filename: z.ZodOptional<z.ZodString>;
        template: z.ZodOptional<z.ZodString>;
        templateParameters: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
        inject: z.ZodOptional<z.ZodEnum<["head", "body"]>>;
        publicPath: z.ZodOptional<z.ZodString>;
        scriptLoading: z.ZodOptional<z.ZodEnum<["blocking", "defer", "module"]>>;
        chunks: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        excludedChunks: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        sri: z.ZodOptional<z.ZodEnum<["sha256", "sha384", "sha512"]>>;
        minify: z.ZodOptional<z.ZodBoolean>;
        favicon: z.ZodOptional<z.ZodString>;
        meta: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodRecord<z.ZodString, z.ZodString>]>>>;
    }, "strip", z.ZodTypeAny, {
        title?: string | undefined;
        filename?: string | undefined;
        template?: string | undefined;
        templateParameters?: Record<string, string> | undefined;
        inject?: "head" | "body" | undefined;
        publicPath?: string | undefined;
        scriptLoading?: "module" | "blocking" | "defer" | undefined;
        chunks?: string[] | undefined;
        excludedChunks?: string[] | undefined;
        sri?: "sha256" | "sha384" | "sha512" | undefined;
        minify?: boolean | undefined;
        favicon?: string | undefined;
        meta?: Record<string, string | Record<string, string>> | undefined;
    }, {
        title?: string | undefined;
        filename?: string | undefined;
        template?: string | undefined;
        templateParameters?: Record<string, string> | undefined;
        inject?: "head" | "body" | undefined;
        publicPath?: string | undefined;
        scriptLoading?: "module" | "blocking" | "defer" | undefined;
        chunks?: string[] | undefined;
        excludedChunks?: string[] | undefined;
        sri?: "sha256" | "sha384" | "sha512" | undefined;
        minify?: boolean | undefined;
        favicon?: string | undefined;
        meta?: Record<string, string | Record<string, string>> | undefined;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    postcss?: {
        pxtorem?: {
            rootValue?: number | undefined;
            unitPrecision?: number | undefined;
            selectorBlackList?: string[] | undefined;
            propList?: string[] | undefined;
            replace?: boolean | undefined;
            mediaQuery?: boolean | undefined;
            minPixelValue?: number | undefined;
        } | undefined;
    } | undefined;
    html?: {
        title?: string | undefined;
        filename?: string | undefined;
        template?: string | undefined;
        templateParameters?: Record<string, string> | undefined;
        inject?: "head" | "body" | undefined;
        publicPath?: string | undefined;
        scriptLoading?: "module" | "blocking" | "defer" | undefined;
        chunks?: string[] | undefined;
        excludedChunks?: string[] | undefined;
        sri?: "sha256" | "sha384" | "sha512" | undefined;
        minify?: boolean | undefined;
        favicon?: string | undefined;
        meta?: Record<string, string | Record<string, string>> | undefined;
    }[] | undefined;
}, {
    postcss?: {
        pxtorem?: {
            rootValue?: number | undefined;
            unitPrecision?: number | undefined;
            selectorBlackList?: string[] | undefined;
            propList?: string[] | undefined;
            replace?: boolean | undefined;
            mediaQuery?: boolean | undefined;
            minPixelValue?: number | undefined;
        } | undefined;
    } | undefined;
    html?: {
        title?: string | undefined;
        filename?: string | undefined;
        template?: string | undefined;
        templateParameters?: Record<string, string> | undefined;
        inject?: "head" | "body" | undefined;
        publicPath?: string | undefined;
        scriptLoading?: "module" | "blocking" | "defer" | undefined;
        chunks?: string[] | undefined;
        excludedChunks?: string[] | undefined;
        sri?: "sha256" | "sha384" | "sha512" | undefined;
        minify?: boolean | undefined;
        favicon?: string | undefined;
        meta?: Record<string, string | Record<string, string>> | undefined;
    }[] | undefined;
}>;
