"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.infrastructureLogging = void 0;
const zod_1 = require("zod");
function infrastructureLogging() {
    return zod_1.z
        .object({
        appendOnly: zod_1.z.boolean().optional(),
        colors: zod_1.z.boolean().optional(),
        console: zod_1.z.boolean().optional(),
        debug: zod_1.z.boolean().or(zod_1.z.any()).optional(),
        level: zod_1.z
            .enum(["none", "error", "warn", "info", "log", "verbose"])
            .optional(),
        stream: zod_1.z.boolean().or(zod_1.z.object({})).optional()
    })
        .strict();
}
exports.infrastructureLogging = infrastructureLogging;
