import { z } from "zod";
export declare function optimization(): z.ZodObject<{
    moduleIds: z.ZodOptional<z.ZodEnum<["named", "deterministic"]>>;
    minimize: z.ZodOptional<z.ZodBoolean>;
    minimizer: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodLiteral<"...">, z.ZodObject<{
        apply: z.ZodFunction<z.ZodTuple<[], z.ZodUnknown>, z.ZodUnknown>;
    }, "strip", z.ZodTypeAny, {
        apply: (...args: unknown[]) => unknown;
    }, {
        apply: (...args: unknown[]) => unknown;
    }>]>, "many">>;
    splitChunks: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<false>, z.ZodObject<{
        chunks: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["initial", "async", "all"]>, z.ZodType<RegExp, z.ZodTypeDef, RegExp>]>>;
        minChunks: z.ZodOptional<z.ZodNumber>;
        name: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<false>]>>;
        minSize: z.ZodOptional<z.ZodNumber>;
        maxSize: z.ZodOptional<z.ZodNumber>;
        maxAsyncSize: z.ZodOptional<z.ZodNumber>;
        maxInitialSize: z.ZodOptional<z.ZodNumber>;
        cacheGroups: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodLiteral<false>, z.ZodObject<{
            chunks: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["initial", "async", "all"]>, z.ZodType<RegExp, z.ZodTypeDef, RegExp>]>>;
            minChunks: z.ZodOptional<z.ZodNumber>;
            name: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<false>]>>;
            minSize: z.ZodOptional<z.ZodNumber>;
            maxSize: z.ZodOptional<z.ZodNumber>;
            maxAsyncSize: z.ZodOptional<z.ZodNumber>;
            maxInitialSize: z.ZodOptional<z.ZodNumber>;
            test: z.ZodOptional<z.ZodType<RegExp, z.ZodTypeDef, RegExp>>;
            priority: z.ZodOptional<z.ZodNumber>;
            enforce: z.ZodOptional<z.ZodBoolean>;
            reuseExistingChunk: z.ZodOptional<z.ZodBoolean>;
            type: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodType<RegExp, z.ZodTypeDef, RegExp>]>>;
            idHint: z.ZodOptional<z.ZodString>;
        }, "strict", z.ZodTypeAny, {
            chunks?: RegExp | "async" | "all" | "initial" | undefined;
            minChunks?: number | undefined;
            name?: string | false | undefined;
            minSize?: number | undefined;
            maxSize?: number | undefined;
            maxAsyncSize?: number | undefined;
            maxInitialSize?: number | undefined;
            test?: RegExp | undefined;
            priority?: number | undefined;
            enforce?: boolean | undefined;
            reuseExistingChunk?: boolean | undefined;
            type?: string | RegExp | undefined;
            idHint?: string | undefined;
        }, {
            chunks?: RegExp | "async" | "all" | "initial" | undefined;
            minChunks?: number | undefined;
            name?: string | false | undefined;
            minSize?: number | undefined;
            maxSize?: number | undefined;
            maxAsyncSize?: number | undefined;
            maxInitialSize?: number | undefined;
            test?: RegExp | undefined;
            priority?: number | undefined;
            enforce?: boolean | undefined;
            reuseExistingChunk?: boolean | undefined;
            type?: string | RegExp | undefined;
            idHint?: string | undefined;
        }>]>>>;
        maxAsyncRequests: z.ZodOptional<z.ZodNumber>;
        maxInitialRequests: z.ZodOptional<z.ZodNumber>;
        fallbackCacheGroup: z.ZodOptional<z.ZodObject<{
            chunks: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["initial", "async", "all"]>, z.ZodType<RegExp, z.ZodTypeDef, RegExp>]>>;
            minSize: z.ZodOptional<z.ZodNumber>;
            maxSize: z.ZodOptional<z.ZodNumber>;
            maxAsyncSize: z.ZodOptional<z.ZodNumber>;
            maxInitialSize: z.ZodOptional<z.ZodNumber>;
        }, "strict", z.ZodTypeAny, {
            chunks?: RegExp | "async" | "all" | "initial" | undefined;
            minSize?: number | undefined;
            maxSize?: number | undefined;
            maxAsyncSize?: number | undefined;
            maxInitialSize?: number | undefined;
        }, {
            chunks?: RegExp | "async" | "all" | "initial" | undefined;
            minSize?: number | undefined;
            maxSize?: number | undefined;
            maxAsyncSize?: number | undefined;
            maxInitialSize?: number | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        chunks?: RegExp | "async" | "all" | "initial" | undefined;
        minChunks?: number | undefined;
        name?: string | false | undefined;
        minSize?: number | undefined;
        maxSize?: number | undefined;
        maxAsyncSize?: number | undefined;
        maxInitialSize?: number | undefined;
        cacheGroups?: Record<string, false | {
            chunks?: RegExp | "async" | "all" | "initial" | undefined;
            minChunks?: number | undefined;
            name?: string | false | undefined;
            minSize?: number | undefined;
            maxSize?: number | undefined;
            maxAsyncSize?: number | undefined;
            maxInitialSize?: number | undefined;
            test?: RegExp | undefined;
            priority?: number | undefined;
            enforce?: boolean | undefined;
            reuseExistingChunk?: boolean | undefined;
            type?: string | RegExp | undefined;
            idHint?: string | undefined;
        }> | undefined;
        maxAsyncRequests?: number | undefined;
        maxInitialRequests?: number | undefined;
        fallbackCacheGroup?: {
            chunks?: RegExp | "async" | "all" | "initial" | undefined;
            minSize?: number | undefined;
            maxSize?: number | undefined;
            maxAsyncSize?: number | undefined;
            maxInitialSize?: number | undefined;
        } | undefined;
    }, {
        chunks?: RegExp | "async" | "all" | "initial" | undefined;
        minChunks?: number | undefined;
        name?: string | false | undefined;
        minSize?: number | undefined;
        maxSize?: number | undefined;
        maxAsyncSize?: number | undefined;
        maxInitialSize?: number | undefined;
        cacheGroups?: Record<string, false | {
            chunks?: RegExp | "async" | "all" | "initial" | undefined;
            minChunks?: number | undefined;
            name?: string | false | undefined;
            minSize?: number | undefined;
            maxSize?: number | undefined;
            maxAsyncSize?: number | undefined;
            maxInitialSize?: number | undefined;
            test?: RegExp | undefined;
            priority?: number | undefined;
            enforce?: boolean | undefined;
            reuseExistingChunk?: boolean | undefined;
            type?: string | RegExp | undefined;
            idHint?: string | undefined;
        }> | undefined;
        maxAsyncRequests?: number | undefined;
        maxInitialRequests?: number | undefined;
        fallbackCacheGroup?: {
            chunks?: RegExp | "async" | "all" | "initial" | undefined;
            minSize?: number | undefined;
            maxSize?: number | undefined;
            maxAsyncSize?: number | undefined;
            maxInitialSize?: number | undefined;
        } | undefined;
    }>]>>;
    runtimeChunk: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["single", "multiple"]>, z.ZodBoolean]>, z.ZodObject<{
        name: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodFunction<z.ZodTuple<[], z.ZodUnknown>, z.ZodUnion<[z.ZodString, z.ZodUndefined]>>]>>;
    }, "strict", z.ZodTypeAny, {
        name?: string | ((...args: unknown[]) => string | undefined) | undefined;
    }, {
        name?: string | ((...args: unknown[]) => string | undefined) | undefined;
    }>]>>;
    removeAvailableModules: z.ZodOptional<z.ZodBoolean>;
    removeEmptyChunks: z.ZodOptional<z.ZodBoolean>;
    realContentHash: z.ZodOptional<z.ZodBoolean>;
    sideEffects: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["flag"]>, z.ZodBoolean]>>;
}, "strict", z.ZodTypeAny, {
    moduleIds?: "named" | "deterministic" | undefined;
    minimize?: boolean | undefined;
    minimizer?: ("..." | {
        apply: (...args: unknown[]) => unknown;
    })[] | undefined;
    splitChunks?: false | {
        chunks?: RegExp | "async" | "all" | "initial" | undefined;
        minChunks?: number | undefined;
        name?: string | false | undefined;
        minSize?: number | undefined;
        maxSize?: number | undefined;
        maxAsyncSize?: number | undefined;
        maxInitialSize?: number | undefined;
        cacheGroups?: Record<string, false | {
            chunks?: RegExp | "async" | "all" | "initial" | undefined;
            minChunks?: number | undefined;
            name?: string | false | undefined;
            minSize?: number | undefined;
            maxSize?: number | undefined;
            maxAsyncSize?: number | undefined;
            maxInitialSize?: number | undefined;
            test?: RegExp | undefined;
            priority?: number | undefined;
            enforce?: boolean | undefined;
            reuseExistingChunk?: boolean | undefined;
            type?: string | RegExp | undefined;
            idHint?: string | undefined;
        }> | undefined;
        maxAsyncRequests?: number | undefined;
        maxInitialRequests?: number | undefined;
        fallbackCacheGroup?: {
            chunks?: RegExp | "async" | "all" | "initial" | undefined;
            minSize?: number | undefined;
            maxSize?: number | undefined;
            maxAsyncSize?: number | undefined;
            maxInitialSize?: number | undefined;
        } | undefined;
    } | undefined;
    runtimeChunk?: boolean | "single" | "multiple" | {
        name?: string | ((...args: unknown[]) => string | undefined) | undefined;
    } | undefined;
    removeAvailableModules?: boolean | undefined;
    removeEmptyChunks?: boolean | undefined;
    realContentHash?: boolean | undefined;
    sideEffects?: boolean | "flag" | undefined;
}, {
    moduleIds?: "named" | "deterministic" | undefined;
    minimize?: boolean | undefined;
    minimizer?: ("..." | {
        apply: (...args: unknown[]) => unknown;
    })[] | undefined;
    splitChunks?: false | {
        chunks?: RegExp | "async" | "all" | "initial" | undefined;
        minChunks?: number | undefined;
        name?: string | false | undefined;
        minSize?: number | undefined;
        maxSize?: number | undefined;
        maxAsyncSize?: number | undefined;
        maxInitialSize?: number | undefined;
        cacheGroups?: Record<string, false | {
            chunks?: RegExp | "async" | "all" | "initial" | undefined;
            minChunks?: number | undefined;
            name?: string | false | undefined;
            minSize?: number | undefined;
            maxSize?: number | undefined;
            maxAsyncSize?: number | undefined;
            maxInitialSize?: number | undefined;
            test?: RegExp | undefined;
            priority?: number | undefined;
            enforce?: boolean | undefined;
            reuseExistingChunk?: boolean | undefined;
            type?: string | RegExp | undefined;
            idHint?: string | undefined;
        }> | undefined;
        maxAsyncRequests?: number | undefined;
        maxInitialRequests?: number | undefined;
        fallbackCacheGroup?: {
            chunks?: RegExp | "async" | "all" | "initial" | undefined;
            minSize?: number | undefined;
            maxSize?: number | undefined;
            maxAsyncSize?: number | undefined;
            maxInitialSize?: number | undefined;
        } | undefined;
    } | undefined;
    runtimeChunk?: boolean | "single" | "multiple" | {
        name?: string | ((...args: unknown[]) => string | undefined) | undefined;
    } | undefined;
    removeAvailableModules?: boolean | undefined;
    removeEmptyChunks?: boolean | undefined;
    realContentHash?: boolean | undefined;
    sideEffects?: boolean | "flag" | undefined;
}>;
export type OptimizationConfig = z.TypeOf<ReturnType<typeof optimization>>;
export type OptimizationRuntimeChunkConfig = NonNullable<OptimizationConfig["runtimeChunk"]>;
