"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.optimization = void 0;
const zod_1 = require("zod");
const split_chunks_1 = require("./split-chunks");
const rspackPluginInstance = zod_1.z.object({
    apply: zod_1.z.function()
});
function optimization() {
    return zod_1.z.strictObject({
        moduleIds: zod_1.z.enum(["named", "deterministic"]).optional(),
        minimize: zod_1.z.boolean().optional(),
        minimizer: zod_1.z.literal("...").or(rspackPluginInstance).array().optional(),
        splitChunks: (0, split_chunks_1.splitChunks)().optional(),
        runtimeChunk: zod_1.z
            .enum(["single", "multiple"])
            .or(zod_1.z.boolean())
            .or(zod_1.z.strictObject({
            name: zod_1.z
                .string()
                .or(zod_1.z.function().returns(zod_1.z.string().or(zod_1.z.undefined())))
                .optional()
        }))
            .optional(),
        removeAvailableModules: zod_1.z.boolean().optional(),
        removeEmptyChunks: zod_1.z.boolean().optional(),
        realContentHash: zod_1.z.boolean().optional(),
        sideEffects: zod_1.z.enum(["flag"]).or(zod_1.z.boolean()).optional()
    });
}
exports.optimization = optimization;
