import { z } from "zod";
declare const cacheGroupOptions: z.ZodObject<{
    chunks: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["initial", "async", "all"]>, z.ZodType<RegExp, z.ZodTypeDef, RegExp>]>>;
    minChunks: z.ZodOptional<z.ZodNumber>;
    name: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<false>]>>;
    minSize: z.ZodOptional<z.ZodNumber>;
    maxSize: z.ZodOptional<z.ZodNumber>;
    maxAsyncSize: z.ZodOptional<z.ZodNumber>;
    maxInitialSize: z.ZodOptional<z.ZodNumber>;
    test: z.ZodOptional<z.ZodType<RegExp, z.ZodTypeDef, RegExp>>;
    priority: z.ZodOptional<z.ZodNumber>;
    enforce: z.ZodOptional<z.ZodBoolean>;
    reuseExistingChunk: z.ZodOptional<z.ZodBoolean>;
    type: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodType<RegExp, z.ZodTypeDef, RegExp>]>>;
    idHint: z.ZodOptional<z.ZodString>;
}, "strict", z.ZodTypeAny, {
    chunks?: RegExp | "async" | "all" | "initial" | undefined;
    minChunks?: number | undefined;
    name?: string | false | undefined;
    minSize?: number | undefined;
    maxSize?: number | undefined;
    maxAsyncSize?: number | undefined;
    maxInitialSize?: number | undefined;
    test?: RegExp | undefined;
    priority?: number | undefined;
    enforce?: boolean | undefined;
    reuseExistingChunk?: boolean | undefined;
    type?: string | RegExp | undefined;
    idHint?: string | undefined;
}, {
    chunks?: RegExp | "async" | "all" | "initial" | undefined;
    minChunks?: number | undefined;
    name?: string | false | undefined;
    minSize?: number | undefined;
    maxSize?: number | undefined;
    maxAsyncSize?: number | undefined;
    maxInitialSize?: number | undefined;
    test?: RegExp | undefined;
    priority?: number | undefined;
    enforce?: boolean | undefined;
    reuseExistingChunk?: boolean | undefined;
    type?: string | RegExp | undefined;
    idHint?: string | undefined;
}>;
export declare function splitChunks(): z.ZodUnion<[z.ZodLiteral<false>, z.ZodObject<{
    chunks: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["initial", "async", "all"]>, z.ZodType<RegExp, z.ZodTypeDef, RegExp>]>>;
    minChunks: z.ZodOptional<z.ZodNumber>;
    name: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<false>]>>;
    minSize: z.ZodOptional<z.ZodNumber>;
    maxSize: z.ZodOptional<z.ZodNumber>;
    maxAsyncSize: z.ZodOptional<z.ZodNumber>;
    maxInitialSize: z.ZodOptional<z.ZodNumber>;
    cacheGroups: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodLiteral<false>, z.ZodObject<{
        chunks: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["initial", "async", "all"]>, z.ZodType<RegExp, z.ZodTypeDef, RegExp>]>>;
        minChunks: z.ZodOptional<z.ZodNumber>;
        name: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<false>]>>;
        minSize: z.ZodOptional<z.ZodNumber>;
        maxSize: z.ZodOptional<z.ZodNumber>;
        maxAsyncSize: z.ZodOptional<z.ZodNumber>;
        maxInitialSize: z.ZodOptional<z.ZodNumber>;
        test: z.ZodOptional<z.ZodType<RegExp, z.ZodTypeDef, RegExp>>;
        priority: z.ZodOptional<z.ZodNumber>;
        enforce: z.ZodOptional<z.ZodBoolean>;
        reuseExistingChunk: z.ZodOptional<z.ZodBoolean>;
        type: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodType<RegExp, z.ZodTypeDef, RegExp>]>>;
        idHint: z.ZodOptional<z.ZodString>;
    }, "strict", z.ZodTypeAny, {
        chunks?: RegExp | "async" | "all" | "initial" | undefined;
        minChunks?: number | undefined;
        name?: string | false | undefined;
        minSize?: number | undefined;
        maxSize?: number | undefined;
        maxAsyncSize?: number | undefined;
        maxInitialSize?: number | undefined;
        test?: RegExp | undefined;
        priority?: number | undefined;
        enforce?: boolean | undefined;
        reuseExistingChunk?: boolean | undefined;
        type?: string | RegExp | undefined;
        idHint?: string | undefined;
    }, {
        chunks?: RegExp | "async" | "all" | "initial" | undefined;
        minChunks?: number | undefined;
        name?: string | false | undefined;
        minSize?: number | undefined;
        maxSize?: number | undefined;
        maxAsyncSize?: number | undefined;
        maxInitialSize?: number | undefined;
        test?: RegExp | undefined;
        priority?: number | undefined;
        enforce?: boolean | undefined;
        reuseExistingChunk?: boolean | undefined;
        type?: string | RegExp | undefined;
        idHint?: string | undefined;
    }>]>>>;
    maxAsyncRequests: z.ZodOptional<z.ZodNumber>;
    maxInitialRequests: z.ZodOptional<z.ZodNumber>;
    fallbackCacheGroup: z.ZodOptional<z.ZodObject<{
        chunks: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["initial", "async", "all"]>, z.ZodType<RegExp, z.ZodTypeDef, RegExp>]>>;
        minSize: z.ZodOptional<z.ZodNumber>;
        maxSize: z.ZodOptional<z.ZodNumber>;
        maxAsyncSize: z.ZodOptional<z.ZodNumber>;
        maxInitialSize: z.ZodOptional<z.ZodNumber>;
    }, "strict", z.ZodTypeAny, {
        chunks?: RegExp | "async" | "all" | "initial" | undefined;
        minSize?: number | undefined;
        maxSize?: number | undefined;
        maxAsyncSize?: number | undefined;
        maxInitialSize?: number | undefined;
    }, {
        chunks?: RegExp | "async" | "all" | "initial" | undefined;
        minSize?: number | undefined;
        maxSize?: number | undefined;
        maxAsyncSize?: number | undefined;
        maxInitialSize?: number | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    chunks?: RegExp | "async" | "all" | "initial" | undefined;
    minChunks?: number | undefined;
    name?: string | false | undefined;
    minSize?: number | undefined;
    maxSize?: number | undefined;
    maxAsyncSize?: number | undefined;
    maxInitialSize?: number | undefined;
    cacheGroups?: Record<string, false | {
        chunks?: RegExp | "async" | "all" | "initial" | undefined;
        minChunks?: number | undefined;
        name?: string | false | undefined;
        minSize?: number | undefined;
        maxSize?: number | undefined;
        maxAsyncSize?: number | undefined;
        maxInitialSize?: number | undefined;
        test?: RegExp | undefined;
        priority?: number | undefined;
        enforce?: boolean | undefined;
        reuseExistingChunk?: boolean | undefined;
        type?: string | RegExp | undefined;
        idHint?: string | undefined;
    }> | undefined;
    maxAsyncRequests?: number | undefined;
    maxInitialRequests?: number | undefined;
    fallbackCacheGroup?: {
        chunks?: RegExp | "async" | "all" | "initial" | undefined;
        minSize?: number | undefined;
        maxSize?: number | undefined;
        maxAsyncSize?: number | undefined;
        maxInitialSize?: number | undefined;
    } | undefined;
}, {
    chunks?: RegExp | "async" | "all" | "initial" | undefined;
    minChunks?: number | undefined;
    name?: string | false | undefined;
    minSize?: number | undefined;
    maxSize?: number | undefined;
    maxAsyncSize?: number | undefined;
    maxInitialSize?: number | undefined;
    cacheGroups?: Record<string, false | {
        chunks?: RegExp | "async" | "all" | "initial" | undefined;
        minChunks?: number | undefined;
        name?: string | false | undefined;
        minSize?: number | undefined;
        maxSize?: number | undefined;
        maxAsyncSize?: number | undefined;
        maxInitialSize?: number | undefined;
        test?: RegExp | undefined;
        priority?: number | undefined;
        enforce?: boolean | undefined;
        reuseExistingChunk?: boolean | undefined;
        type?: string | RegExp | undefined;
        idHint?: string | undefined;
    }> | undefined;
    maxAsyncRequests?: number | undefined;
    maxInitialRequests?: number | undefined;
    fallbackCacheGroup?: {
        chunks?: RegExp | "async" | "all" | "initial" | undefined;
        minSize?: number | undefined;
        maxSize?: number | undefined;
        maxAsyncSize?: number | undefined;
        maxInitialSize?: number | undefined;
    } | undefined;
}>]>;
export type SplitChunksConfig = z.TypeOf<ReturnType<typeof splitChunks>>;
export type CacheGroupOptionsConfig = z.TypeOf<typeof cacheGroupOptions>;
export {};
