import { z } from "zod";
export declare function publicPath(): z.ZodUnion<[z.ZodLiteral<"auto">, z.ZodString]>;
export declare function filename(): z.ZodString;
export declare function output(): z.ZodObject<{
    iife: z.ZodOptional<z.ZodBoolean>;
    clean: z.ZodOptional<z.ZodBoolean>;
    assetModuleFilename: z.ZodOptional<z.ZodString>;
    auxiliaryComment: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<{
        amd: z.ZodOptional<z.ZodString>;
        commonjs: z.ZodOptional<z.ZodString>;
        commonjs2: z.ZodOptional<z.ZodString>;
        root: z.ZodOptional<z.ZodString>;
    }, "strict", z.ZodTypeAny, {
        amd?: string | undefined;
        commonjs?: string | undefined;
        commonjs2?: string | undefined;
        root?: string | undefined;
    }, {
        amd?: string | undefined;
        commonjs?: string | undefined;
        commonjs2?: string | undefined;
        root?: string | undefined;
    }>]>>;
    chunkFormat: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["array-push", "commonjs", "module"]>, z.ZodLiteral<false>]>>;
    chunkLoading: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<false>, z.ZodUnion<[z.ZodEnum<["jsonp", "import-scripts", "require", "async-node", "import"]>, z.ZodString]>]>>;
    enabledChunkLoadingTypes: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodEnum<["jsonp", "import-scripts", "require", "async-node", "import"]>, z.ZodString]>, "many">>;
    chunkFilename: z.ZodOptional<z.ZodString>;
    cssChunkFilename: z.ZodOptional<z.ZodString>;
    cssFilename: z.ZodOptional<z.ZodString>;
    hotUpdateChunkFilename: z.ZodOptional<z.ZodString>;
    hotUpdateMainFilename: z.ZodOptional<z.ZodString>;
    webassemblyModuleFilename: z.ZodOptional<z.ZodString>;
    hashSalt: z.ZodOptional<z.ZodString>;
    filename: z.ZodOptional<z.ZodString>;
    sourceMapFilename: z.ZodOptional<z.ZodString>;
    importFunctionName: z.ZodOptional<z.ZodString>;
    publicPath: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"auto">, z.ZodString]>>;
    uniqueName: z.ZodOptional<z.ZodString>;
    path: z.ZodOptional<z.ZodString>;
    crossOriginLoading: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<false>, z.ZodEnum<["anonymous", "use-credentials"]>]>>;
    enabledWasmLoadingTypes: z.ZodOptional<z.ZodArray<z.ZodEnum<["...", "fetch-streaming", "fetch", "async-node"]>, "many">>;
    wasmLoading: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<false>, z.ZodEnum<["...", "fetch-streaming", "fetch", "async-node"]>]>>;
    enabledLibraryTypes: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["...", "var", "module", "assign", "assign-properties", "this", "window", "self", "global", "commonjs", "commonjs2", "commonjs-module", "commonjs-static", "amd", "amd-require", "umd", "umd2", "jsonp", "system"]>, z.ZodArray<z.ZodEnum<["...", "var", "module", "assign", "assign-properties", "this", "window", "self", "global", "commonjs", "commonjs2", "commonjs-module", "commonjs-static", "amd", "amd-require", "umd", "umd2", "jsonp", "system"]>, "many">]>>;
    globalObject: z.ZodOptional<z.ZodString>;
    libraryExport: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    libraryTarget: z.ZodOptional<z.ZodEnum<["...", "var", "module", "assign", "assign-properties", "this", "window", "self", "global", "commonjs", "commonjs2", "commonjs-module", "commonjs-static", "amd", "amd-require", "umd", "umd2", "jsonp", "system"]>>;
    hashFunction: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodFunction<z.ZodTuple<[], z.ZodUnknown>, z.ZodUnknown>]>>;
    module: z.ZodOptional<z.ZodAny>;
    strictModuleErrorHandling: z.ZodOptional<z.ZodBoolean>;
    umdNamedDefine: z.ZodOptional<z.ZodBoolean>;
    chunkLoadingGlobal: z.ZodOptional<z.ZodString>;
    trustedTypes: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodLiteral<true>, z.ZodString]>, z.ZodObject<{
        policyName: z.ZodOptional<z.ZodString>;
    }, "strict", z.ZodTypeAny, {
        policyName?: string | undefined;
    }, {
        policyName?: string | undefined;
    }>]>>;
    hashDigest: z.ZodOptional<z.ZodString>;
    hashDigestLength: z.ZodOptional<z.ZodNumber>;
    library: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
        amd: z.ZodOptional<z.ZodString>;
        commonjs: z.ZodOptional<z.ZodString>;
        root: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    }, "strict", z.ZodTypeAny, {
        amd?: string | undefined;
        commonjs?: string | undefined;
        root?: string | string[] | undefined;
    }, {
        amd?: string | undefined;
        commonjs?: string | undefined;
        root?: string | string[] | undefined;
    }>]>, z.ZodObject<{
        auxiliaryComment: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<{
            amd: z.ZodOptional<z.ZodString>;
            commonjs: z.ZodOptional<z.ZodString>;
            commonjs2: z.ZodOptional<z.ZodString>;
            root: z.ZodOptional<z.ZodString>;
        }, "strict", z.ZodTypeAny, {
            amd?: string | undefined;
            commonjs?: string | undefined;
            commonjs2?: string | undefined;
            root?: string | undefined;
        }, {
            amd?: string | undefined;
            commonjs?: string | undefined;
            commonjs2?: string | undefined;
            root?: string | undefined;
        }>]>>;
        export: z.ZodOptional<z.ZodUnion<[z.ZodArray<z.ZodString, "many">, z.ZodString]>>;
        name: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
            amd: z.ZodOptional<z.ZodString>;
            commonjs: z.ZodOptional<z.ZodString>;
            root: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        }, "strict", z.ZodTypeAny, {
            amd?: string | undefined;
            commonjs?: string | undefined;
            root?: string | string[] | undefined;
        }, {
            amd?: string | undefined;
            commonjs?: string | undefined;
            root?: string | string[] | undefined;
        }>]>>;
        type: z.ZodOptional<z.ZodEnum<["...", "var", "module", "assign", "assign-properties", "this", "window", "self", "global", "commonjs", "commonjs2", "commonjs-module", "commonjs-static", "amd", "amd-require", "umd", "umd2", "jsonp", "system"]>>;
        umdNamedDefine: z.ZodOptional<z.ZodBoolean>;
    }, "strict", z.ZodTypeAny, {
        auxiliaryComment?: string | {
            amd?: string | undefined;
            commonjs?: string | undefined;
            commonjs2?: string | undefined;
            root?: string | undefined;
        } | undefined;
        export?: string | string[] | undefined;
        name?: string | string[] | {
            amd?: string | undefined;
            commonjs?: string | undefined;
            root?: string | string[] | undefined;
        } | undefined;
        type?: "..." | "jsonp" | "var" | "module" | "assign" | "assign-properties" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | undefined;
        umdNamedDefine?: boolean | undefined;
    }, {
        auxiliaryComment?: string | {
            amd?: string | undefined;
            commonjs?: string | undefined;
            commonjs2?: string | undefined;
            root?: string | undefined;
        } | undefined;
        export?: string | string[] | undefined;
        name?: string | string[] | {
            amd?: string | undefined;
            commonjs?: string | undefined;
            root?: string | string[] | undefined;
        } | undefined;
        type?: "..." | "jsonp" | "var" | "module" | "assign" | "assign-properties" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | undefined;
        umdNamedDefine?: boolean | undefined;
    }>]>>;
    asyncChunks: z.ZodOptional<z.ZodBoolean>;
    workerChunkLoading: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<false>, z.ZodUnion<[z.ZodEnum<["jsonp", "import-scripts", "require", "async-node", "import"]>, z.ZodString]>]>>;
    workerWasmLoading: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<false>, z.ZodEnum<["...", "fetch-streaming", "fetch", "async-node"]>]>>;
    workerPublicPath: z.ZodOptional<z.ZodString>;
}, "strict", z.ZodTypeAny, {
    iife?: boolean | undefined;
    clean?: boolean | undefined;
    assetModuleFilename?: string | undefined;
    auxiliaryComment?: string | {
        amd?: string | undefined;
        commonjs?: string | undefined;
        commonjs2?: string | undefined;
        root?: string | undefined;
    } | undefined;
    chunkFormat?: false | "module" | "commonjs" | "array-push" | undefined;
    chunkLoading?: string | false | undefined;
    enabledChunkLoadingTypes?: string[] | undefined;
    chunkFilename?: string | undefined;
    cssChunkFilename?: string | undefined;
    cssFilename?: string | undefined;
    hotUpdateChunkFilename?: string | undefined;
    hotUpdateMainFilename?: string | undefined;
    webassemblyModuleFilename?: string | undefined;
    hashSalt?: string | undefined;
    filename?: string | undefined;
    sourceMapFilename?: string | undefined;
    importFunctionName?: string | undefined;
    publicPath?: string | undefined;
    uniqueName?: string | undefined;
    path?: string | undefined;
    crossOriginLoading?: false | "anonymous" | "use-credentials" | undefined;
    enabledWasmLoadingTypes?: ("..." | "async-node" | "fetch-streaming" | "fetch")[] | undefined;
    wasmLoading?: false | "..." | "async-node" | "fetch-streaming" | "fetch" | undefined;
    enabledLibraryTypes?: "..." | "jsonp" | "var" | "module" | "assign" | "assign-properties" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | ("..." | "jsonp" | "var" | "module" | "assign" | "assign-properties" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system")[] | undefined;
    globalObject?: string | undefined;
    libraryExport?: string | string[] | undefined;
    libraryTarget?: "..." | "jsonp" | "var" | "module" | "assign" | "assign-properties" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | undefined;
    hashFunction?: string | ((...args: unknown[]) => unknown) | undefined;
    module?: any;
    strictModuleErrorHandling?: boolean | undefined;
    umdNamedDefine?: boolean | undefined;
    chunkLoadingGlobal?: string | undefined;
    trustedTypes?: string | true | {
        policyName?: string | undefined;
    } | undefined;
    hashDigest?: string | undefined;
    hashDigestLength?: number | undefined;
    library?: string | string[] | {
        amd?: string | undefined;
        commonjs?: string | undefined;
        root?: string | string[] | undefined;
    } | {
        auxiliaryComment?: string | {
            amd?: string | undefined;
            commonjs?: string | undefined;
            commonjs2?: string | undefined;
            root?: string | undefined;
        } | undefined;
        export?: string | string[] | undefined;
        name?: string | string[] | {
            amd?: string | undefined;
            commonjs?: string | undefined;
            root?: string | string[] | undefined;
        } | undefined;
        type?: "..." | "jsonp" | "var" | "module" | "assign" | "assign-properties" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | undefined;
        umdNamedDefine?: boolean | undefined;
    } | undefined;
    asyncChunks?: boolean | undefined;
    workerChunkLoading?: string | false | undefined;
    workerWasmLoading?: false | "..." | "async-node" | "fetch-streaming" | "fetch" | undefined;
    workerPublicPath?: string | undefined;
}, {
    iife?: boolean | undefined;
    clean?: boolean | undefined;
    assetModuleFilename?: string | undefined;
    auxiliaryComment?: string | {
        amd?: string | undefined;
        commonjs?: string | undefined;
        commonjs2?: string | undefined;
        root?: string | undefined;
    } | undefined;
    chunkFormat?: false | "module" | "commonjs" | "array-push" | undefined;
    chunkLoading?: string | false | undefined;
    enabledChunkLoadingTypes?: string[] | undefined;
    chunkFilename?: string | undefined;
    cssChunkFilename?: string | undefined;
    cssFilename?: string | undefined;
    hotUpdateChunkFilename?: string | undefined;
    hotUpdateMainFilename?: string | undefined;
    webassemblyModuleFilename?: string | undefined;
    hashSalt?: string | undefined;
    filename?: string | undefined;
    sourceMapFilename?: string | undefined;
    importFunctionName?: string | undefined;
    publicPath?: string | undefined;
    uniqueName?: string | undefined;
    path?: string | undefined;
    crossOriginLoading?: false | "anonymous" | "use-credentials" | undefined;
    enabledWasmLoadingTypes?: ("..." | "async-node" | "fetch-streaming" | "fetch")[] | undefined;
    wasmLoading?: false | "..." | "async-node" | "fetch-streaming" | "fetch" | undefined;
    enabledLibraryTypes?: "..." | "jsonp" | "var" | "module" | "assign" | "assign-properties" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | ("..." | "jsonp" | "var" | "module" | "assign" | "assign-properties" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system")[] | undefined;
    globalObject?: string | undefined;
    libraryExport?: string | string[] | undefined;
    libraryTarget?: "..." | "jsonp" | "var" | "module" | "assign" | "assign-properties" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | undefined;
    hashFunction?: string | ((...args: unknown[]) => unknown) | undefined;
    module?: any;
    strictModuleErrorHandling?: boolean | undefined;
    umdNamedDefine?: boolean | undefined;
    chunkLoadingGlobal?: string | undefined;
    trustedTypes?: string | true | {
        policyName?: string | undefined;
    } | undefined;
    hashDigest?: string | undefined;
    hashDigestLength?: number | undefined;
    library?: string | string[] | {
        amd?: string | undefined;
        commonjs?: string | undefined;
        root?: string | string[] | undefined;
    } | {
        auxiliaryComment?: string | {
            amd?: string | undefined;
            commonjs?: string | undefined;
            commonjs2?: string | undefined;
            root?: string | undefined;
        } | undefined;
        export?: string | string[] | undefined;
        name?: string | string[] | {
            amd?: string | undefined;
            commonjs?: string | undefined;
            root?: string | string[] | undefined;
        } | undefined;
        type?: "..." | "jsonp" | "var" | "module" | "assign" | "assign-properties" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | undefined;
        umdNamedDefine?: boolean | undefined;
    } | undefined;
    asyncChunks?: boolean | undefined;
    workerChunkLoading?: string | false | undefined;
    workerWasmLoading?: false | "..." | "async-node" | "fetch-streaming" | "fetch" | undefined;
    workerPublicPath?: string | undefined;
}>;
