"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.plugins = void 0;
const zod_1 = require("zod");
const compiler_1 = require("../../compiler");
const rspackPluginFunction = zod_1.z
    .function()
    .args(zod_1.z.instanceof(compiler_1.Compiler))
    .returns(zod_1.z.void());
const rspackPluginInstance = zod_1.z.object({
    name: zod_1.z.string().optional(),
    apply: rspackPluginFunction
});
function plugins() {
    const functionOrInstance = rspackPluginFunction.or(rspackPluginInstance);
    return functionOrInstance.array();
}
exports.plugins = plugins;
