"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolve = void 0;
const zod_1 = require("zod");
const resolveAlias = zod_1.z.record(zod_1.z
    .literal(false)
    .or(zod_1.z.string())
    .or(zod_1.z.array(zod_1.z.literal(false).or(zod_1.z.string()))));
const baseResolve = zod_1.z.strictObject({
    alias: resolveAlias.optional(),
    browserField: zod_1.z.boolean().optional(),
    conditionNames: zod_1.z.string().array().optional(),
    extensions: zod_1.z.string().array().optional(),
    fallback: resolveAlias.optional(),
    mainFields: zod_1.z.string().array().optional(),
    mainFiles: zod_1.z.string().array().optional(),
    modules: zod_1.z.string().array().optional(),
    preferRelative: zod_1.z.boolean().optional(),
    tsConfigPath: zod_1.z.string().optional(),
    fullySpecified: zod_1.z.boolean().optional(),
    exportsFields: zod_1.z.string().array().optional(),
    extensionAlias: zod_1.z.record(zod_1.z.string().or(zod_1.z.string().array())).optional()
});
function resolve() {
    return baseResolve.extend({
        byDependency: zod_1.z.lazy(() => zod_1.z.record(resolve())).optional()
    });
}
exports.resolve = resolve;
