"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stats = void 0;
const zod_1 = require("zod");
function stats() {
    return zod_1.z
        .enum(["none", "errors-only", "errors-warnings", "normal", "verbose"])
        .or(zod_1.z.boolean())
        .or(zod_1.z.object({
        all: zod_1.z.boolean().optional(),
        assets: zod_1.z.boolean().optional(),
        chunkGroups: zod_1.z.boolean().optional(),
        chunks: zod_1.z.boolean().optional(),
        colors: zod_1.z.boolean().optional(),
        entrypoints: zod_1.z.boolean().optional(),
        errors: zod_1.z.boolean().optional(),
        errorsCount: zod_1.z.boolean().optional(),
        hash: zod_1.z.boolean().optional(),
        modules: zod_1.z.boolean().optional(),
        preset: zod_1.z
            .enum(["normal", "none", "verbose", "errors-only", "errors-warnings"])
            .optional(),
        publicPath: zod_1.z.boolean().optional(),
        reasons: zod_1.z.boolean().optional(),
        warnings: zod_1.z.boolean().optional(),
        warningsCount: zod_1.z.boolean().optional(),
        outputPath: zod_1.z.boolean().optional(),
        chunkModules: zod_1.z.boolean().optional(),
        chunkRelations: zod_1.z.boolean().optional(),
        timings: zod_1.z.boolean().optional(),
        builtAt: zod_1.z.boolean().optional(),
        nestedModules: zod_1.z.boolean().optional()
    }));
}
exports.stats = stats;
