"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.target = void 0;
const zod_1 = require("zod");
const allowTarget = zod_1.z
    .enum([
    "web",
    "webworker",
    "es3",
    "es5",
    "es2015",
    "es2016",
    "es2017",
    "es2018",
    "es2019",
    "es2020",
    "es2021",
    "es2022",
    "browserslist"
])
    .or(zod_1.z.literal("node"))
    .or(zod_1.z.literal("async-node"))
    .or(zod_1.z.custom(value => typeof value === "string" && /^node\d+$/.test(value)))
    .or(zod_1.z.custom(value => typeof value === "string" && /^async-node\d+$/.test(value)))
    .or(zod_1.z.custom(value => typeof value === "string" && /^node\d+\.\d+$/.test(value)))
    .or(zod_1.z.custom(value => typeof value === "string" && /^async-node\d+\.\d+$/.test(value)))
    .or(zod_1.z.literal("electron-main"))
    .or(zod_1.z.custom(value => typeof value === "string" && /^electron\d+-main$/.test(value)))
    .or(zod_1.z.custom(value => typeof value === "string" && /^electron\d+\.\d+-main$/.test(value)))
    .or(zod_1.z.literal("electron-renderer"))
    .or(zod_1.z.custom(value => typeof value === "string" && /^electron\d+-renderer$/.test(value)))
    .or(zod_1.z.custom(value => typeof value === "string" && /^electron\d+\.\d+-renderer$/.test(value)))
    .or(zod_1.z.literal("electron-preload"))
    .or(zod_1.z.custom(value => typeof value === "string" && /^electron\d+-preload$/.test(value)))
    .or(zod_1.z.custom(value => typeof value === "string" && /^electron\d+\.\d+-preload$/.test(value)));
function target() {
    return zod_1.z.literal(false).or(allowTarget).or(allowTarget.array());
}
exports.target = target;
