"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.watchOptions = void 0;
const zod_1 = require("zod");
function watchOptions() {
    return zod_1.z
        .object({
        aggregateTimeout: zod_1.z.number().optional(),
        followSymlinks: zod_1.z.boolean().optional(),
        ignored: zod_1.z
            .string()
            .array()
            .or(zod_1.z.instanceof(RegExp))
            .or(zod_1.z.string())
            .optional(),
        poll: zod_1.z.number().or(zod_1.z.boolean()).optional(),
        stdin: zod_1.z.boolean().optional()
    })
        .strict();
}
exports.watchOptions = watchOptions;
